Bug 42607 - User is not able to deploy iOS app on simulator. Fails with "error MT1008: Failed to launch the simulator: Method 'NSUrl.op_Equality' not found."
Summary: User is not able to deploy iOS app on simulator. Fails with "error MT1008: Fa...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: High normal
Target Milestone: (C8)
Assignee: Alan McGovern
URL:
Depends on:
Blocks:
 
Reported: 2016-07-15 21:15 UTC by Manish Sinha
Modified: 2016-07-20 16:50 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Manish Sinha 2016-07-15 21:15:54 UTC
Steps to reproduce
1. Create an iOS application with Xamarin Studio
2. Click on Play button on XS toolbar

Expected: Application gets deployed on simultor
Actual: XS tries to connect to debugger and then promptly quits

Application Output
------------------

Failed to launch the simulator: Method 'NSUrl.op_Equality' not found.
error MT1008: Failed to launch the simulator: Method 'NSUrl.op_Equality' not found.

XS Info: https://gist.github.com/anonymous/dec2392f627d6bbfec8037d1037d7110
Syslog: https://gist.github.com/manish-sinha/7eea01e4e9d1f13add7b9cfc193c6fd0
Comment 2 xamarin-release-manager 2016-07-20 16:50:24 UTC
Fixed in version 6.1.0.5256 (cycle8)

Author: Alan McGovern
Commit: 0e2a32745ed99cf2bd0601a7592c5fbc148db99b (xamarin/ios-sim-sharp)
Included in Commit: 3191078766e49b32edf425106bfb7403ca892958 (mono/monodevelop)